#
# spec file for package dhcpd-formula
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define fname dhcpd
%define fdir  %{_datadir}/susemanager/formulas
Name:           dhcpd-formula
Version:        0.1.1641480250.d5bd14c
Release:        230900.1.2.uyuni3
Summary:        Salt formula for configuring and running DHCP server
License:        Apache-2.0
Group:          System/Packages
Url:            https://github.com/saltstack-formulas/dhcpd-formula/
Source:         dhcpd-formula-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Salt formula for managing configuration and running of DHCP server.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{fdir}/states/%{fname}
mkdir -p %{buildroot}%{fdir}/metadata/%{fname}
cp -R dhcpd/* %{buildroot}%{fdir}/states/%{fname}
cp -R metadata/* %{buildroot}%{fdir}/metadata/%{fname}
cp LICENSE %{buildroot}%{fdir}/metadata/%{fname}

%files
%defattr(-,root,root)
%dir %{_datadir}/susemanager
%dir %{fdir}
%dir %{fdir}/states
%dir %{fdir}/metadata
%{fdir}/states/%{fname}
%{fdir}/metadata/%{fname}

%changelog
* Thu Jan  6 2022 Michael Calmer <mc@suse.com>
- Update to version 0.1.1641480250.d5bd14c
  * make routers option optional
* Wed Feb 10 2021 Vladimir Nadvornik <nadvornik@suse.com>
- Add arm64 support
- Update to version 0.1.1615805990.f15c8d9
* Thu Feb 27 2020 Vladimir Nadvornik <nadvornik@suse.com>
- UEFI HTTPBoot support
- Changed default of filename_efi to shim.efi for secure boot
- Update to version 0.1.1583829431.db6edda
* Tue Sep 17 2019 Ondrej Holecek <oholecek@suse.com>
- Update to version 0.1.1568808472.be9f236
- Update formula to upstream version hash e041d03bb
* Thu May 23 2019 Ondrej Holecek <oholecek@suse.com>
- Updated copyrights and bug reporting link
- Update to version 0.1.1558613789.64ba093
* Fri Mar 29 2019 nadvornik@suse.com
- UEFI PXE support
* Tue Sep 25 2018 Ondrej Holecek <oholecek@suse.com>
- Form hardware address clarification (bsc#1106243)
* Fri Jun 15 2018 oholecek@suse.com
- Allow hosts to be specified under specific subnet
* Mon Jun 11 2018 oholecek@suse.com
- Mark domain name as optional in form
* Fri Jun  1 2018 oholecek@suse.com
- Update form.yml to use edit-groups
- Remove no longer needed local changes
- Update formula from upstream:
  * 1bfce299 Add support for several config options
  * 6e2941f5 add domain-search option
  * 5b64a734 class and subnet pool minor fixes / additions
  * cb98ea91 add option next-server for hosts in dhcpd.conf
* Sun Mar 18 2018 oholecek@suse.com
- Add 'after' tag to metada to ensure correct order
  - see also bsc#1083326
- Replace dict.has_key by key in dict to support python3
- Update dhcpd from upstream
  - commits:
  * 1862e37 Add sysconfig file for SUSE
  * e698297 Bugfix: Remove quotes from subnet-mask directive
  * 159d52b Formatting tweaks
  * fcf92c0 Add key directive
  * 2ee9710 Modifications to allow/deny directives
  * e3c9844 Add directives: router, update-static-leases, subnet-mask, ddns-domainname
  * eeeee2a add domain-search option
  * 1cdbc02 Add allow, deny and max-lease-time options for pool under subnet
* Tue May 30 2017 oholecek@suse.com
- Initial package
